xfstests: have getfacl(1) report numeric id's
[xfstests-dev.git] / 092
1 #! /bin/bash
2 # FS QA Test No. 092
3 #
4 # Make sure that we can mount inode64 filesystems
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2004 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24 # creator
25 owner=nathans@sgi.com
26
27 seq=`basename $0`
28 echo "QA output created by $seq"
29
30 here=`pwd`
31 tmp=/tmp/$$
32 status=1        # failure is the default!
33 trap "_cleanup; exit \$status" 0 1 2 3 15
34
35 _cleanup()
36 {
37     cd /
38     rm -f $tmp.*
39 }
40
41 # get standard environment, filters and checks
42 . ./common.rc
43 . ./common.filter
44
45 # real QA test starts here
46
47 # Modify as appropriate.
48 _supported_fs xfs
49 _supported_os IRIX Linux
50 _require_scratch
51 _require_nobigloopfs
52
53 MOUNT_OPTIONS="$MOUNT_OPTIONS -o inode64"
54 _scratch_mkfs_xfs | _filter_mkfs 2>/dev/null
55 echo Silence is golden
56
57 _scratch_mount
58 [ $? -eq 0 ] || echo "inode64 mount failed unexpectedly!"
59
60 # success, all done
61 status=0
62 exit